OnePlan SDK
-------

This repo provides a python SDK for the OnePlan API.

### Why
We interact with the OnePlan API increasingly, especially as we migrate to our GCP cloud data platform.

The OnePlan team does not provide an OpenAPI 3.0 spec or a python client. The team does provide autogenerated documentation, which is available [here](https://eu.oneplan.ai/ApiHelp).

In order to ensure that we interact with the OnePlan API consistently with well-tested and documented code, this package provides the following functionality:
  - continuously sync with the up-to-date OnePlan API docs pages
  - auto-generate an OpenAPI 3.0 specification document based on the contents of the OnePlan API docs
  - auto-generate a fully documented and tested python client against the OpenAPI 3.0 specification

### Setup
For developer setup instructions, please see [SETUP.md](./SETUP.md)

### Usage
For usage instructions, please see [USAGE.md](./USAGE.md)


### Workflow and Tests
For details on the inner workings synchronization and auto-generation workflows and related unit tests, see [WORKFLOW.md](./WORKFLOW.md).

### TO-DOs:
1. Logging
2. Workflow rules and related unit tests / validation code
3. [Optional] Scheduling
