# swagger-client
This is an automatically generated OpenAPI specification for the OnePlan API based on the api help docs.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import oneplan_sdk.client.swagger_client
from oneplan_sdk.client.swagger_client.rest import ApiException
from pprint import pprint
# Configure HTTP basic authorization: oneplan_api_auth
configuration = oneplan_sdk.client.swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = oneplan_sdk.client.swagger_client.AgileApi(oneplan_sdk.client.swagger_client.ApiClient(configuration))
body = oneplan_sdk.client.swagger_client.NewIteration() # NewIteration | 

try:
    api_response = api_instance.agile_createiterations_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AgileApi->agile_createiterations_post: %s\n" % e)
# Configure HTTP basic authorization: oneplan_api_auth
configuration = oneplan_sdk.client.swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = oneplan_sdk.client.swagger_client.AgileApi(oneplan_sdk.client.swagger_client.ApiClient(configuration))
planner_id = oneplan_sdk.client.swagger_client.GloballyUniqueIdentifier() # GloballyUniqueIdentifier | 

try:
    api_response = api_instance.agile_iterations_get(planner_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AgileApi->agile_iterations_get: %s\n" % e)
# Configure HTTP basic authorization: oneplan_api_auth
configuration = oneplan_sdk.client.swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = oneplan_sdk.client.swagger_client.AgileApi(oneplan_sdk.client.swagger_client.ApiClient(configuration))
id = oneplan_sdk.client.swagger_client.GloballyUniqueIdentifier() # GloballyUniqueIdentifier | 

try:
    api_response = api_instance.agile_iterations_id_delete(id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AgileApi->agile_iterations_id_delete: %s\n" % e)
# Configure HTTP basic authorization: oneplan_api_auth
configuration = oneplan_sdk.client.swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = oneplan_sdk.client.swagger_client.AgileApi(oneplan_sdk.client.swagger_client.ApiClient(configuration))
body = oneplan_sdk.client.swagger_client.Iteration() # Iteration | 
id = oneplan_sdk.client.swagger_client.GloballyUniqueIdentifier() # GloballyUniqueIdentifier | 

try:
    api_response = api_instance.agile_iterations_id_post(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AgileApi->agile_iterations_id_post: %s\n" % e)
# Configure HTTP basic authorization: oneplan_api_auth
configuration = oneplan_sdk.client.swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = oneplan_sdk.client.swagger_client.AgileApi(oneplan_sdk.client.swagger_client.ApiClient(configuration))
body = oneplan_sdk.client.swagger_client.Iteration() # Iteration | 

try:
    api_response = api_instance.agile_iterations_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AgileApi->agile_iterations_post: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://eu.oneplan.ai/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AgileApi* | [**agile_createiterations_post**](docs/AgileApi.md#agile_createiterations_post) | **POST** /agile/createiterations | 
*AgileApi* | [**agile_iterations_get**](docs/AgileApi.md#agile_iterations_get) | **GET** /agile/iterations | 
*AgileApi* | [**agile_iterations_id_delete**](docs/AgileApi.md#agile_iterations_id_delete) | **DELETE** /agile/iterations/{id} | 
*AgileApi* | [**agile_iterations_id_post**](docs/AgileApi.md#agile_iterations_id_post) | **POST** /agile/iterations/{id} | 
*AgileApi* | [**agile_iterations_post**](docs/AgileApi.md#agile_iterations_post) | **POST** /agile/iterations | 
*AppsApi* | [**allapps_get**](docs/AppsApi.md#allapps_get) | **GET** /allapps | 
*AppsApi* | [**apps_delete**](docs/AppsApi.md#apps_delete) | **DELETE** /apps | 
*AppsApi* | [**apps_get**](docs/AppsApi.md#apps_get) | **GET** /apps | 
*AppsApi* | [**apps_post**](docs/AppsApi.md#apps_post) | **POST** /apps | 
*AuditApi* | [**audit_financials_post**](docs/AuditApi.md#audit_financials_post) | **POST** /audit/financials | 
*AuditApi* | [**audit_plan_post**](docs/AuditApi.md#audit_plan_post) | **POST** /audit/plan | 
*AuditApi* | [**audit_plans_deleted_post**](docs/AuditApi.md#audit_plans_deleted_post) | **POST** /audit/plans/deleted | 
*AuditApi* | [**audit_resource_post**](docs/AuditApi.md#audit_resource_post) | **POST** /audit/resource | 
*AuditApi* | [**audit_resources_deleted_post**](docs/AuditApi.md#audit_resources_deleted_post) | **POST** /audit/resources/deleted | 
*AuditApi* | [**audit_resources_plan_id_post**](docs/AuditApi.md#audit_resources_plan_id_post) | **POST** /audit/resources/{planId} | 
*AuditApi* | [**audit_sharedwith_plan_id_post**](docs/AuditApi.md#audit_sharedwith_plan_id_post) | **POST** /audit/sharedwith/{planId} | 
*AuditApi* | [**audit_tasks_post**](docs/AuditApi.md#audit_tasks_post) | **POST** /audit/tasks | 
*CostApi* | [**cost_externalimport_post**](docs/CostApi.md#cost_externalimport_post) | **POST** /cost/externalimport | 
*CostApi* | [**cost_id_copy_post**](docs/CostApi.md#cost_id_copy_post) | **POST** /cost/{id}/copy | 
*CostApi* | [**cost_id_detail_post**](docs/CostApi.md#cost_id_detail_post) | **POST** /cost/{id}/detail | 
*CostApi* | [**cost_tree_get**](docs/CostApi.md#cost_tree_get) | **GET** /cost/tree | 
*EnterpriseTeamsApi* | [**enterpriseteams_get**](docs/EnterpriseTeamsApi.md#enterpriseteams_get) | **GET** /enterpriseteams | 
*EnterpriseTeamsApi* | [**enterpriseteams_id_delete**](docs/EnterpriseTeamsApi.md#enterpriseteams_id_delete) | **DELETE** /enterpriseteams/{id} | 
*EnterpriseTeamsApi* | [**enterpriseteams_id_deletemembers_delete**](docs/EnterpriseTeamsApi.md#enterpriseteams_id_deletemembers_delete) | **DELETE** /enterpriseteams/{id}/deletemembers | 
*EnterpriseTeamsApi* | [**enterpriseteams_id_get**](docs/EnterpriseTeamsApi.md#enterpriseteams_id_get) | **GET** /enterpriseteams/{id} | 
*EnterpriseTeamsApi* | [**enterpriseteams_id_members_get**](docs/EnterpriseTeamsApi.md#enterpriseteams_id_members_get) | **GET** /enterpriseteams/{id}/members | 
*EnterpriseTeamsApi* | [**enterpriseteams_id_post**](docs/EnterpriseTeamsApi.md#enterpriseteams_id_post) | **POST** /enterpriseteams/{id} | 
*EnterpriseTeamsApi* | [**enterpriseteams_id_updatemembers_post**](docs/EnterpriseTeamsApi.md#enterpriseteams_id_updatemembers_post) | **POST** /enterpriseteams/{id}/updatemembers | 
*EnterpriseTeamsApi* | [**enterpriseteams_list_my_get**](docs/EnterpriseTeamsApi.md#enterpriseteams_list_my_get) | **GET** /enterpriseteams/list/my | 
*EnterpriseTeamsApi* | [**enterpriseteams_post**](docs/EnterpriseTeamsApi.md#enterpriseteams_post) | **POST** /enterpriseteams | 
*EnterpriseTeamsApi* | [**enterpriseteams_team_id_allocations_post**](docs/EnterpriseTeamsApi.md#enterpriseteams_team_id_allocations_post) | **POST** /enterpriseteams/{TeamId}/allocations | 
*EnterpriseTeamsApi* | [**enterpriseteams_team_id_allocations_resource_id_delete**](docs/EnterpriseTeamsApi.md#enterpriseteams_team_id_allocations_resource_id_delete) | **DELETE** /enterpriseteams/{TeamId}/allocations/{ResourceId} | 
*EnterpriseTeamsApi* | [**enterpriseteams_team_id_updateallocation_post**](docs/EnterpriseTeamsApi.md#enterpriseteams_team_id_updateallocation_post) | **POST** /enterpriseteams/{TeamId}/updateallocation | 
*EventsApi* | [**events_bylist_list_post**](docs/EventsApi.md#events_bylist_list_post) | **POST** /events/bylist/{list} | 
*EventsApi* | [**events_get**](docs/EventsApi.md#events_get) | **GET** /events | 
*EventsApi* | [**events_id_delete**](docs/EventsApi.md#events_id_delete) | **DELETE** /events/{id} | 
*EventsApi* | [**events_id_log_get**](docs/EventsApi.md#events_id_log_get) | **GET** /events/{Id}/log | 
*EventsApi* | [**events_id_post**](docs/EventsApi.md#events_id_post) | **POST** /events/{id} | 
*EventsApi* | [**events_post**](docs/EventsApi.md#events_post) | **POST** /events | 
*GlobalSearchApi* | [**globalsearch_favorite_get**](docs/GlobalSearchApi.md#globalsearch_favorite_get) | **GET** /globalsearch/favorite | 
*GlobalSearchApi* | [**globalsearch_recentplans_get**](docs/GlobalSearchApi.md#globalsearch_recentplans_get) | **GET** /globalsearch/recentplans | 
*GlobalSearchApi* | [**globalsearch_search_post**](docs/GlobalSearchApi.md#globalsearch_search_post) | **POST** /globalsearch/search | 
*InsightsApi* | [**insights_all_get**](docs/InsightsApi.md#insights_all_get) | **GET** /insights/all | 
*InsightsApi* | [**insights_allplans_get**](docs/InsightsApi.md#insights_allplans_get) | **GET** /insights/allplans | 
*InsightsApi* | [**insights_comments_get**](docs/InsightsApi.md#insights_comments_get) | **GET** /insights/comments | 
*InsightsApi* | [**insights_favorite_get**](docs/InsightsApi.md#insights_favorite_get) | **GET** /insights/favorite | 
*InsightsApi* | [**insights_myplans_get**](docs/InsightsApi.md#insights_myplans_get) | **GET** /insights/myplans | 
*InsightsApi* | [**insights_recent_get**](docs/InsightsApi.md#insights_recent_get) | **GET** /insights/recent | 
*InsightsApi* | [**insights_sharedplans_get**](docs/InsightsApi.md#insights_sharedplans_get) | **GET** /insights/sharedplans | 
*InsightsApi* | [**insights_work_get**](docs/InsightsApi.md#insights_work_get) | **GET** /insights/work | 
*IntegrationApi* | [**integration_connecttoplan_post**](docs/IntegrationApi.md#integration_connecttoplan_post) | **POST** /integration/connecttoplan | 
*IntegrationApi* | [**integration_get**](docs/IntegrationApi.md#integration_get) | **GET** /integration | 
*IntegrationApi* | [**integration_id_delete**](docs/IntegrationApi.md#integration_id_delete) | **DELETE** /integration/{id} | 
*IntegrationApi* | [**integration_id_post**](docs/IntegrationApi.md#integration_id_post) | **POST** /integration/{id} | 
*IntegrationApi* | [**integration_post**](docs/IntegrationApi.md#integration_post) | **POST** /integration | 
*IntegrationApi* | [**integration_updateplanintegration_post**](docs/IntegrationApi.md#integration_updateplanintegration_post) | **POST** /integration/updateplanintegration | 
*MPPApi* | [**mpp_createplan_post**](docs/MPPApi.md#mpp_createplan_post) | **POST** /mpp/createplan | 
*MPPApi* | [**mpp_templates_get**](docs/MPPApi.md#mpp_templates_get) | **GET** /mpp/templates | 
*ModelerApi* | [**modeler_currencyfields_get**](docs/ModelerApi.md#modeler_currencyfields_get) | **GET** /modeler/currencyfields | 
*ModelerApi* | [**modeler_delete_delete**](docs/ModelerApi.md#modeler_delete_delete) | **DELETE** /modeler/delete | 
*ModelerApi* | [**modeler_folder_delete_delete**](docs/ModelerApi.md#modeler_folder_delete_delete) | **DELETE** /modeler/folder/delete | 
*ModelerApi* | [**modeler_folder_new_post**](docs/ModelerApi.md#modeler_folder_new_post) | **POST** /modeler/folder/new | 
*ModelerApi* | [**modeler_folder_tree_get**](docs/ModelerApi.md#modeler_folder_tree_get) | **GET** /modeler/folder/tree | 
*ModelerApi* | [**modeler_folder_update_post**](docs/ModelerApi.md#modeler_folder_update_post) | **POST** /modeler/folder/update | 
*ModelerApi* | [**modeler_folders_get**](docs/ModelerApi.md#modeler_folders_get) | **GET** /modeler/folders | 
*ModelerApi* | [**modeler_model_get**](docs/ModelerApi.md#modeler_model_get) | **GET** /modeler/model | 
*ModelerApi* | [**modeler_model_loadgantt_post**](docs/ModelerApi.md#modeler_model_loadgantt_post) | **POST** /modeler/model/loadgantt | 
*ModelerApi* | [**modeler_models_get**](docs/ModelerApi.md#modeler_models_get) | **GET** /modeler/models | 
*ModelerApi* | [**modeler_new_post**](docs/ModelerApi.md#modeler_new_post) | **POST** /modeler/new | 
*ModelerApi* | [**modeler_scenarios_get**](docs/ModelerApi.md#modeler_scenarios_get) | **GET** /modeler/scenarios | 
*ModelerApi* | [**modeler_tree_get**](docs/ModelerApi.md#modeler_tree_get) | **GET** /modeler/tree | 
*ModelerApi* | [**modeler_update_post**](docs/ModelerApi.md#modeler_update_post) | **POST** /modeler/update | 
*ModelerApi* | [**modeler_users_addupdateuser_post**](docs/ModelerApi.md#modeler_users_addupdateuser_post) | **POST** /modeler/users/addupdateuser | 
*ModelerApi* | [**modeler_users_deleteuser_post**](docs/ModelerApi.md#modeler_users_deleteuser_post) | **POST** /modeler/users/deleteuser | 
*ModelerApi* | [**modeler_users_get**](docs/ModelerApi.md#modeler_users_get) | **GET** /modeler/users | 
*MyWorkApi* | [**mywork_accept_update_post**](docs/MyWorkApi.md#mywork_accept_update_post) | **POST** /mywork/AcceptUpdate | 
*MyWorkApi* | [**mywork_activities_get**](docs/MyWorkApi.md#mywork_activities_get) | **GET** /mywork/activities | 
*MyWorkApi* | [**mywork_activities_post**](docs/MyWorkApi.md#mywork_activities_post) | **POST** /mywork/activities | 
*MyWorkApi* | [**mywork_getupdate_id_get**](docs/MyWorkApi.md#mywork_getupdate_id_get) | **GET** /mywork/getupdate/{id} | 
*MyWorkApi* | [**mywork_id_post**](docs/MyWorkApi.md#mywork_id_post) | **POST** /mywork/{id} | 
*MyWorkApi* | [**mywork_reject_update_post**](docs/MyWorkApi.md#mywork_reject_update_post) | **POST** /mywork/RejectUpdate | 
*MyWorkApi* | [**mywork_statusfields_get**](docs/MyWorkApi.md#mywork_statusfields_get) | **GET** /mywork/statusfields | 
*MyWorkApi* | [**mywork_tasks_get**](docs/MyWorkApi.md#mywork_tasks_get) | **GET** /mywork/tasks | 
*NotificationsApi* | [**notifications_get**](docs/NotificationsApi.md#notifications_get) | **GET** /notifications | 
*NotificationsApi* | [**notifications_id_read_post**](docs/NotificationsApi.md#notifications_id_read_post) | **POST** /notifications/{id}/read | 
*NotificationsApi* | [**notifications_new_get**](docs/NotificationsApi.md#notifications_new_get) | **GET** /notifications/new | 
*NotificationsApi* | [**notifications_read_post**](docs/NotificationsApi.md#notifications_read_post) | **POST** /notifications/read | 
*NotificationsApi* | [**notifications_sid_read_post**](docs/NotificationsApi.md#notifications_sid_read_post) | **POST** /notifications/s/{id}/read | 
*NotificationsApi* | [**notifications_surveys_get**](docs/NotificationsApi.md#notifications_surveys_get) | **GET** /notifications/surveys | 
*PlanNotificationsApi* | [**notifications_plan_config_check_get**](docs/PlanNotificationsApi.md#notifications_plan_config_check_get) | **GET** /notifications/plan/config/check | 
*PlanNotificationsApi* | [**notifications_plan_config_time_hour_post**](docs/PlanNotificationsApi.md#notifications_plan_config_time_hour_post) | **POST** /notifications/plan/config/time/{hour} | 
*PlanNotificationsApi* | [**notifications_plan_create_post**](docs/PlanNotificationsApi.md#notifications_plan_create_post) | **POST** /notifications/plan/create | 
*PlanNotificationsApi* | [**notifications_plan_id_delete_delete**](docs/PlanNotificationsApi.md#notifications_plan_id_delete_delete) | **DELETE** /notifications/plan/{id}/delete | 
*PlanNotificationsApi* | [**notifications_plan_notification_id_update_post**](docs/PlanNotificationsApi.md#notifications_plan_notification_id_update_post) | **POST** /notifications/plan/{notificationId}/update | 
*PlanNotificationsApi* | [**notifications_plan_plan_id_list_post**](docs/PlanNotificationsApi.md#notifications_plan_plan_id_list_post) | **POST** /notifications/plan/{planId}/list | 
*ResPlanApi* | [**modeler_resplan_capacitychart_post**](docs/ResPlanApi.md#modeler_resplan_capacitychart_post) | **POST** /modeler/resplan/capacitychart | 
*ResPlanApi* | [**resplan_capacitychart_post**](docs/ResPlanApi.md#resplan_capacitychart_post) | **POST** /resplan/capacitychart | 
*ResPlanApi* | [**resplan_externalimport_post**](docs/ResPlanApi.md#resplan_externalimport_post) | **POST** /resplan/externalimport | 
*ResPlanApi* | [**resplan_id_addresource_post**](docs/ResPlanApi.md#resplan_id_addresource_post) | **POST** /resplan/{id}/addresource | 
*ResPlanApi* | [**resplan_id_allocate_post**](docs/ResPlanApi.md#resplan_id_allocate_post) | **POST** /resplan/{id}/allocate | 
*ResPlanApi* | [**resplan_id_capacity_get**](docs/ResPlanApi.md#resplan_id_capacity_get) | **GET** /resplan/{id}/capacity | 
*ResPlanApi* | [**resplan_id_copy_post**](docs/ResPlanApi.md#resplan_id_copy_post) | **POST** /resplan/{id}/copy | 
*ResPlanApi* | [**resplan_id_lineid_delete**](docs/ResPlanApi.md#resplan_id_lineid_delete) | **DELETE** /resplan/{id}/{lineid} | 
*ResPlanApi* | [**resplan_id_post**](docs/ResPlanApi.md#resplan_id_post) | **POST** /resplan/{id} | 
*ResPlanApi* | [**resplan_id_replaceresource_post**](docs/ResPlanApi.md#resplan_id_replaceresource_post) | **POST** /resplan/{id}/replaceresource | 
*ResPlanApi* | [**resplan_line_id_comment_get**](docs/ResPlanApi.md#resplan_line_id_comment_get) | **GET** /resplan/{LineId}/comment | 
*ResPlanApi* | [**resplan_line_id_comment_id_delete**](docs/ResPlanApi.md#resplan_line_id_comment_id_delete) | **DELETE** /resplan/{LineId}/comment/{id} | 
*ResPlanApi* | [**resplan_line_id_comment_post**](docs/ResPlanApi.md#resplan_line_id_comment_post) | **POST** /resplan/{LineId}/comment | 
*ResPlanApi* | [**resplan_line_id_reallocate_post**](docs/ResPlanApi.md#resplan_line_id_reallocate_post) | **POST** /resplan/{LineId}/reallocate | 
*ResourcesApi* | [**resources_bulkdelete_delete**](docs/ResourcesApi.md#resources_bulkdelete_delete) | **DELETE** /resources/bulkdelete | 
*ResourcesApi* | [**resources_fields_get**](docs/ResourcesApi.md#resources_fields_get) | **GET** /resources/fields | 
*ResourcesApi* | [**resources_fields_id_post**](docs/ResourcesApi.md#resources_fields_id_post) | **POST** /resources/fields/{id} | 
*ResourcesApi* | [**resources_fields_post**](docs/ResourcesApi.md#resources_fields_post) | **POST** /resources/fields | 
*ResourcesApi* | [**resources_find_get**](docs/ResourcesApi.md#resources_find_get) | **GET** /resources/find | 
*ResourcesApi* | [**resources_find_post**](docs/ResourcesApi.md#resources_find_post) | **POST** /resources/find | 
*ResourcesApi* | [**resources_get**](docs/ResourcesApi.md#resources_get) | **GET** /resources | 
*ResourcesApi* | [**resources_get_resource_id_get**](docs/ResourcesApi.md#resources_get_resource_id_get) | **GET** /resources/GetResourceId | 
*ResourcesApi* | [**resources_id_delete**](docs/ResourcesApi.md#resources_id_delete) | **DELETE** /resources/{Id} | 
*ResourcesApi* | [**resources_id_get**](docs/ResourcesApi.md#resources_id_get) | **GET** /resources/{id} | 
*ResourcesApi* | [**resources_id_notifications_get**](docs/ResourcesApi.md#resources_id_notifications_get) | **GET** /resources/{id}/notifications | 
*ResourcesApi* | [**resources_id_notifications_post**](docs/ResourcesApi.md#resources_id_notifications_post) | **POST** /resources/{id}/notifications | 
*ResourcesApi* | [**resources_id_post**](docs/ResourcesApi.md#resources_id_post) | **POST** /resources/{id} | 
*ResourcesApi* | [**resources_id_sendinvite_post**](docs/ResourcesApi.md#resources_id_sendinvite_post) | **POST** /resources/{id}/sendinvite | 
*ResourcesApi* | [**resources_id_team_delete**](docs/ResourcesApi.md#resources_id_team_delete) | **DELETE** /resources/{id}/team | 
*ResourcesApi* | [**resources_id_team_post**](docs/ResourcesApi.md#resources_id_team_post) | **POST** /resources/{id}/team | 
*ResourcesApi* | [**resources_id_teams_post**](docs/ResourcesApi.md#resources_id_teams_post) | **POST** /resources/{id}/teams | 
*ResourcesApi* | [**resources_list_my_get**](docs/ResourcesApi.md#resources_list_my_get) | **GET** /resources/list/my | 
*ResourcesApi* | [**resources_me_get**](docs/ResourcesApi.md#resources_me_get) | **GET** /resources/me | 
*ResourcesApi* | [**resources_megroup_get**](docs/ResourcesApi.md#resources_megroup_get) | **GET** /resources/megroup | 
*ResourcesApi* | [**resources_post**](docs/ResourcesApi.md#resources_post) | **POST** /resources | 
*SecurityGroupApi* | [**securitygroups_admin_get**](docs/SecurityGroupApi.md#securitygroups_admin_get) | **GET** /securitygroups/admin | 
*SecurityGroupApi* | [**securitygroups_bulk_patch**](docs/SecurityGroupApi.md#securitygroups_bulk_patch) | **PATCH** /securitygroups/bulk | 
*SecurityGroupApi* | [**securitygroups_bulk_post**](docs/SecurityGroupApi.md#securitygroups_bulk_post) | **POST** /securitygroups/bulk | 
*SecurityGroupApi* | [**securitygroups_default_get**](docs/SecurityGroupApi.md#securitygroups_default_get) | **GET** /securitygroups/default | 
*SecurityGroupApi* | [**securitygroups_get**](docs/SecurityGroupApi.md#securitygroups_get) | **GET** /securitygroups | 
*SecurityGroupApi* | [**securitygroups_id_delete**](docs/SecurityGroupApi.md#securitygroups_id_delete) | **DELETE** /securitygroups/{id} | 
*SecurityGroupApi* | [**securitygroups_id_get**](docs/SecurityGroupApi.md#securitygroups_id_get) | **GET** /securitygroups/{id} | 
*SecurityGroupApi* | [**securitygroups_id_post**](docs/SecurityGroupApi.md#securitygroups_id_post) | **POST** /securitygroups/{id} | 
*SecurityGroupApi* | [**securitygroups_post**](docs/SecurityGroupApi.md#securitygroups_post) | **POST** /securitygroups | 
*SecurityGroupApi* | [**securitygroups_setdefaultproperty_post**](docs/SecurityGroupApi.md#securitygroups_setdefaultproperty_post) | **POST** /securitygroups/setdefaultproperty | 
*StatusReportsApi* | [**statusreports_id_approve_post**](docs/StatusReportsApi.md#statusreports_id_approve_post) | **POST** /statusreports/{id}/approve | 
*StatusReportsApi* | [**statusreports_id_delete**](docs/StatusReportsApi.md#statusreports_id_delete) | **DELETE** /statusreports/{id} | 
*StatusReportsApi* | [**statusreports_id_doc_get**](docs/StatusReportsApi.md#statusreports_id_doc_get) | **GET** /statusreports/{id}/doc | 
*StatusReportsApi* | [**statusreports_id_pdf_get**](docs/StatusReportsApi.md#statusreports_id_pdf_get) | **GET** /statusreports/{id}/pdf | 
*StatusReportsApi* | [**statusreports_id_ppt_get**](docs/StatusReportsApi.md#statusreports_id_ppt_get) | **GET** /statusreports/{id}/ppt | 
*StatusReportsApi* | [**statusreports_id_recall_post**](docs/StatusReportsApi.md#statusreports_id_recall_post) | **POST** /statusreports/{id}/recall | 
*StatusReportsApi* | [**statusreports_id_reject_post**](docs/StatusReportsApi.md#statusreports_id_reject_post) | **POST** /statusreports/{id}/reject | 
*StatusReportsApi* | [**statusreports_id_submit_post**](docs/StatusReportsApi.md#statusreports_id_submit_post) | **POST** /statusreports/{id}/submit | 
*StatusReportsApi* | [**statusreports_my_get**](docs/StatusReportsApi.md#statusreports_my_get) | **GET** /statusreports/my | 
*StatusReportsApi* | [**statusreports_mysubmit_get**](docs/StatusReportsApi.md#statusreports_mysubmit_get) | **GET** /statusreports/mysubmit | 
*StatusReportsApi* | [**statusreports_plan_id_get**](docs/StatusReportsApi.md#statusreports_plan_id_get) | **GET** /statusreports/{PlanId} | 
*TaskNotificationsApi* | [**notifications_task_config_check_get**](docs/TaskNotificationsApi.md#notifications_task_config_check_get) | **GET** /notifications/task/config/check | 
*TaskNotificationsApi* | [**notifications_task_config_time_hour_post**](docs/TaskNotificationsApi.md#notifications_task_config_time_hour_post) | **POST** /notifications/task/config/time/{hour} | 
*TaskNotificationsApi* | [**notifications_task_id_delete_delete**](docs/TaskNotificationsApi.md#notifications_task_id_delete_delete) | **DELETE** /notifications/task/{id}/delete | 
*TaskNotificationsApi* | [**notifications_task_plan_id_create_post**](docs/TaskNotificationsApi.md#notifications_task_plan_id_create_post) | **POST** /notifications/task/{planId}/create | 
*TaskNotificationsApi* | [**notifications_task_plan_id_list_post**](docs/TaskNotificationsApi.md#notifications_task_plan_id_list_post) | **POST** /notifications/task/{planId}/list | 
*TaskNotificationsApi* | [**notifications_task_plan_id_notification_id_update_post**](docs/TaskNotificationsApi.md#notifications_task_plan_id_notification_id_update_post) | **POST** /notifications/task/{planId}/{notificationId}/update | 
*TasksApi* | [**tasks_dependency_all_get**](docs/TasksApi.md#tasks_dependency_all_get) | **GET** /tasks/dependency/all | 
*TasksApi* | [**tasks_dependency_task_id_dep_id_delete**](docs/TasksApi.md#tasks_dependency_task_id_dep_id_delete) | **DELETE** /tasks/dependency/{TaskId}/{DepId} | 
*TasksApi* | [**tasks_dependency_task_id_dep_id_post**](docs/TasksApi.md#tasks_dependency_task_id_dep_id_post) | **POST** /tasks/dependency/{TaskId}/{DepId} | 
*TasksApi* | [**tasks_dependency_task_id_get**](docs/TasksApi.md#tasks_dependency_task_id_get) | **GET** /tasks/dependency/{TaskId} | 
*TasksApi* | [**tasks_fields_get**](docs/TasksApi.md#tasks_fields_get) | **GET** /tasks/fields | 
*TasksApi* | [**tasks_fields_id_delete**](docs/TasksApi.md#tasks_fields_id_delete) | **DELETE** /tasks/fields/{id} | 
*TasksApi* | [**tasks_fields_id_post**](docs/TasksApi.md#tasks_fields_id_post) | **POST** /tasks/fields/{id} | 
*TasksApi* | [**tasks_fields_post**](docs/TasksApi.md#tasks_fields_post) | **POST** /tasks/fields | 
*TasksApi* | [**tasks_id_comments_get**](docs/TasksApi.md#tasks_id_comments_get) | **GET** /tasks/{id}/comments | 
*TasksApi* | [**tasks_id_comments_post**](docs/TasksApi.md#tasks_id_comments_post) | **POST** /tasks/{id}/comments | 
*TasksApi* | [**tasks_localfields_get**](docs/TasksApi.md#tasks_localfields_get) | **GET** /tasks/localfields | 
*TasksApi* | [**tasks_taskid_comments_id_delete**](docs/TasksApi.md#tasks_taskid_comments_id_delete) | **DELETE** /tasks/{taskid}/comments/{id} | 
*TestGanttApi* | [**testgantt_gantt_post**](docs/TestGanttApi.md#testgantt_gantt_post) | **POST** /testgantt/gantt | 
*TimeOffApi* | [**timeoff_categories_get**](docs/TimeOffApi.md#timeoff_categories_get) | **GET** /timeoff/categories | 
*TimeOffApi* | [**timeoff_get**](docs/TimeOffApi.md#timeoff_get) | **GET** /timeoff | 
*TimeOffApi* | [**timeoff_id_approve_reject_patch**](docs/TimeOffApi.md#timeoff_id_approve_reject_patch) | **PATCH** /timeoff/{Id}/ApproveReject | 
*TimeOffApi* | [**timeoff_id_delete**](docs/TimeOffApi.md#timeoff_id_delete) | **DELETE** /timeoff/{id} | 
*TimeOffApi* | [**timeoff_id_patch**](docs/TimeOffApi.md#timeoff_id_patch) | **PATCH** /timeoff/{Id} | 
*TimeOffApi* | [**timeoff_post**](docs/TimeOffApi.md#timeoff_post) | **POST** /timeoff | 
*TimesheetApi* | [**timesheet_id_lines_line_id_delete**](docs/TimesheetApi.md#timesheet_id_lines_line_id_delete) | **DELETE** /timesheet/{Id}/lines/{LineId} | 
*TimesheetApi* | [**timesheet_id_lines_put**](docs/TimesheetApi.md#timesheet_id_lines_put) | **PUT** /timesheet/{Id}/lines | 
*TimesheetApi* | [**timesheet_id_recall_post**](docs/TimesheetApi.md#timesheet_id_recall_post) | **POST** /timesheet/{Id}/recall | 
*TimesheetApi* | [**timesheet_id_submit_post**](docs/TimesheetApi.md#timesheet_id_submit_post) | **POST** /timesheet/{Id}/submit | 
*TimesheetApi* | [**timesheet_id_workflow_line_id_get**](docs/TimesheetApi.md#timesheet_id_workflow_line_id_get) | **GET** /timesheet/{Id}/workflow/{lineId} | 
*TimesheetApi* | [**timesheet_lines_get**](docs/TimesheetApi.md#timesheet_lines_get) | **GET** /timesheet/lines | 
*TimesheetApi* | [**ts_fields_get**](docs/TimesheetApi.md#ts_fields_get) | **GET** /ts/fields | 
*TimesheetApi* | [**ts_periods_get**](docs/TimesheetApi.md#ts_periods_get) | **GET** /ts/periods | 
*TimesheetApi* | [**ts_search_get**](docs/TimesheetApi.md#ts_search_get) | **GET** /ts/search | 
*TimesheetApi* | [**ts_stopwatch_start_post**](docs/TimesheetApi.md#ts_stopwatch_start_post) | **POST** /ts/stopwatch/start | 
*TimesheetApi* | [**ts_stopwatch_stop_post**](docs/TimesheetApi.md#ts_stopwatch_stop_post) | **POST** /ts/stopwatch/stop | 
*TimesheetApi* | [**ts_stopwatch_validate_post**](docs/TimesheetApi.md#ts_stopwatch_validate_post) | **POST** /ts/stopwatch/validate | 
*TimesheetApi* | [**ts_timesheet_get**](docs/TimesheetApi.md#ts_timesheet_get) | **GET** /ts/timesheet | 
*TimesheetApi* | [**ts_timesheet_lines_get**](docs/TimesheetApi.md#ts_timesheet_lines_get) | **GET** /ts/timesheet/lines | 
*TimesheetApi* | [**ts_timesheet_lines_post**](docs/TimesheetApi.md#ts_timesheet_lines_post) | **POST** /ts/timesheet/lines | 
*VisualApi* | [**visual_dependency_post**](docs/VisualApi.md#visual_dependency_post) | **POST** /visual/dependency | 
*VisualApi* | [**visual_modeler_dependency_post**](docs/VisualApi.md#visual_modeler_dependency_post) | **POST** /visual/modeler/dependency | 
*VisualApi* | [**visual_modeler_runway_post**](docs/VisualApi.md#visual_modeler_runway_post) | **POST** /visual/modeler/runway | 
*VisualApi* | [**visual_runway_post**](docs/VisualApi.md#visual_runway_post) | **POST** /visual/runway | 
*WorkLogApi* | [**worklog_classes_get**](docs/WorkLogApi.md#worklog_classes_get) | **GET** /worklog/classes | 
*WorkLogApi* | [**worklog_get**](docs/WorkLogApi.md#worklog_get) | **GET** /worklog | 
*WorkLogApi* | [**worklog_post**](docs/WorkLogApi.md#worklog_post) | **POST** /worklog | 
*WorkPlanApi* | [**workplan_dependency_id_delete**](docs/WorkPlanApi.md#workplan_dependency_id_delete) | **DELETE** /workplan/dependency/{id} | 
*WorkPlanApi* | [**workplan_dependency_id_post**](docs/WorkPlanApi.md#workplan_dependency_id_post) | **POST** /workplan/dependency/{id} | 
*WorkPlanApi* | [**workplan_dependency_post**](docs/WorkPlanApi.md#workplan_dependency_post) | **POST** /workplan/dependency | 
*WorkPlanApi* | [**workplan_fields_field_id_post**](docs/WorkPlanApi.md#workplan_fields_field_id_post) | **POST** /workplan/fields/{FieldId} | 
*WorkPlanApi* | [**workplan_fields_get**](docs/WorkPlanApi.md#workplan_fields_get) | **GET** /workplan/fields | 
*WorkPlanApi* | [**workplan_fields_post**](docs/WorkPlanApi.md#workplan_fields_post) | **POST** /workplan/fields | 
*WorkPlanApi* | [**workplan_fields_reorder_post**](docs/WorkPlanApi.md#workplan_fields_reorder_post) | **POST** /workplan/fields/reorder | 
*WorkPlanApi* | [**workplan_find_post**](docs/WorkPlanApi.md#workplan_find_post) | **POST** /workplan/find | 
*WorkPlanApi* | [**workplan_fragments_get**](docs/WorkPlanApi.md#workplan_fragments_get) | **GET** /workplan/fragments | 
*WorkPlanApi* | [**workplan_get**](docs/WorkPlanApi.md#workplan_get) | **GET** /workplan | 
*WorkPlanApi* | [**workplan_getfragmentfields_get**](docs/WorkPlanApi.md#workplan_getfragmentfields_get) | **GET** /workplan/getfragmentfields | 
*WorkPlanApi* | [**workplan_getfragmentresources_get**](docs/WorkPlanApi.md#workplan_getfragmentresources_get) | **GET** /workplan/getfragmentresources | 
*WorkPlanApi* | [**workplan_id_changetype_post**](docs/WorkPlanApi.md#workplan_id_changetype_post) | **POST** /workplan/{Id}/changetype | 
*WorkPlanApi* | [**workplan_id_config_get**](docs/WorkPlanApi.md#workplan_id_config_get) | **GET** /workplan/{Id}/config | 
*WorkPlanApi* | [**workplan_id_convert_conversionid_post**](docs/WorkPlanApi.md#workplan_id_convert_conversionid_post) | **POST** /workplan/{id}/convert/{conversionid} | 
*WorkPlanApi* | [**workplan_id_costs_task_id_post**](docs/WorkPlanApi.md#workplan_id_costs_task_id_post) | **POST** /workplan/{Id}/costs/{taskId} | 
*WorkPlanApi* | [**workplan_id_delete**](docs/WorkPlanApi.md#workplan_id_delete) | **DELETE** /workplan/{id} | 
*WorkPlanApi* | [**workplan_id_getastemplate_get**](docs/WorkPlanApi.md#workplan_id_getastemplate_get) | **GET** /workplan/{id}/getastemplate | 
*WorkPlanApi* | [**workplan_id_insertfragment_post**](docs/WorkPlanApi.md#workplan_id_insertfragment_post) | **POST** /workplan/{id}/insertfragment | 
*WorkPlanApi* | [**workplan_id_post**](docs/WorkPlanApi.md#workplan_id_post) | **POST** /workplan/{Id} | 
*WorkPlanApi* | [**workplan_id_revenue_post**](docs/WorkPlanApi.md#workplan_id_revenue_post) | **POST** /workplan/{Id}/revenue | 
*WorkPlanApi* | [**workplan_id_savefragment_post**](docs/WorkPlanApi.md#workplan_id_savefragment_post) | **POST** /workplan/{id}/savefragment | 
*WorkPlanApi* | [**workplan_id_split_delete**](docs/WorkPlanApi.md#workplan_id_split_delete) | **DELETE** /workplan/{Id}/split | 
*WorkPlanApi* | [**workplan_id_split_post**](docs/WorkPlanApi.md#workplan_id_split_post) | **POST** /workplan/{Id}/split | 
*WorkPlanApi* | [**workplan_id_tasks_get**](docs/WorkPlanApi.md#workplan_id_tasks_get) | **GET** /workplan/{id}/tasks | 
*WorkPlanApi* | [**workplan_id_tasks_post**](docs/WorkPlanApi.md#workplan_id_tasks_post) | **POST** /workplan/{id}/tasks | 
*WorkPlanApi* | [**workplan_id_tasks_taskid_assignments_post**](docs/WorkPlanApi.md#workplan_id_tasks_taskid_assignments_post) | **POST** /workplan/{id}/tasks/{taskid}/assignments | 
*WorkPlanApi* | [**workplan_id_tasks_taskid_assignments_user_id_delete**](docs/WorkPlanApi.md#workplan_id_tasks_taskid_assignments_user_id_delete) | **DELETE** /workplan/{id}/tasks/{taskid}/assignments/{UserId} | 
*WorkPlanApi* | [**workplan_id_tasks_taskid_delete**](docs/WorkPlanApi.md#workplan_id_tasks_taskid_delete) | **DELETE** /workplan/{id}/tasks/{taskid} | 
*WorkPlanApi* | [**workplan_id_tasks_taskid_get**](docs/WorkPlanApi.md#workplan_id_tasks_taskid_get) | **GET** /workplan/{id}/tasks/{taskid} | 
*WorkPlanApi* | [**workplan_id_tasks_taskid_post**](docs/WorkPlanApi.md#workplan_id_tasks_taskid_post) | **POST** /workplan/{id}/tasks/{taskid} | 
*WorkPlanApi* | [**workplan_id_tasks_taskid_updateassignments_post**](docs/WorkPlanApi.md#workplan_id_tasks_taskid_updateassignments_post) | **POST** /workplan/{id}/tasks/{taskid}/updateassignments | 
*WorkPlanApi* | [**workplan_id_updatefragment_post**](docs/WorkPlanApi.md#workplan_id_updatefragment_post) | **POST** /workplan/{id}/updatefragment | 
*WorkPlanApi* | [**workplan_id_versions_did_delete**](docs/WorkPlanApi.md#workplan_id_versions_did_delete) | **DELETE** /workplan/{id}/versions/{did} | 
*WorkPlanApi* | [**workplan_id_versions_get**](docs/WorkPlanApi.md#workplan_id_versions_get) | **GET** /workplan/{id}/versions | 
*WorkPlanApi* | [**workplan_plan_id_comments_get**](docs/WorkPlanApi.md#workplan_plan_id_comments_get) | **GET** /workplan/{PlanId}/comments | 
*WorkPlanApi* | [**workplan_plan_id_comments_id_delete**](docs/WorkPlanApi.md#workplan_plan_id_comments_id_delete) | **DELETE** /workplan/{PlanId}/comments/{id} | 
*WorkPlanApi* | [**workplan_plan_id_comments_post**](docs/WorkPlanApi.md#workplan_plan_id_comments_post) | **POST** /workplan/{PlanId}/comments | 
*WorkPlanApi* | [**workplan_plan_id_get**](docs/WorkPlanApi.md#workplan_plan_id_get) | **GET** /workplan/{PlanId} | 
*WorkPlanApi* | [**workplan_plan_id_processhistory_get**](docs/WorkPlanApi.md#workplan_plan_id_processhistory_get) | **GET** /workplan/{PlanId}/processhistory | 
*WorkPlanApi* | [**workplan_plan_id_ratetables_post**](docs/WorkPlanApi.md#workplan_plan_id_ratetables_post) | **POST** /workplan/{PlanId}/ratetables | 
*WorkPlanApi* | [**workplan_plan_id_sharedwithteam_delete**](docs/WorkPlanApi.md#workplan_plan_id_sharedwithteam_delete) | **DELETE** /workplan/{PlanId}/sharedwithteam | 
*WorkPlanApi* | [**workplan_plan_id_sharedwithteam_get**](docs/WorkPlanApi.md#workplan_plan_id_sharedwithteam_get) | **GET** /workplan/{PlanId}/sharedwithteam | 
*WorkPlanApi* | [**workplan_plan_id_sharedwithteam_post**](docs/WorkPlanApi.md#workplan_plan_id_sharedwithteam_post) | **POST** /workplan/{PlanId}/sharedwithteam | 
*WorkPlanApi* | [**workplan_plan_id_siblings_get**](docs/WorkPlanApi.md#workplan_plan_id_siblings_get) | **GET** /workplan/{PlanId}/siblings | 
*WorkPlanApi* | [**workplan_plan_id_step_approve_post**](docs/WorkPlanApi.md#workplan_plan_id_step_approve_post) | **POST** /workplan/{PlanId}/step/approve | 
*WorkPlanApi* | [**workplan_plan_id_step_post**](docs/WorkPlanApi.md#workplan_plan_id_step_post) | **POST** /workplan/{PlanId}/step | 
*WorkPlanApi* | [**workplan_plan_id_subplans_get**](docs/WorkPlanApi.md#workplan_plan_id_subplans_get) | **GET** /workplan/{PlanId}/subplans | 
*WorkPlanApi* | [**workplan_plan_id_subplans_post**](docs/WorkPlanApi.md#workplan_plan_id_subplans_post) | **POST** /workplan/{PlanId}/subplans | 
*WorkPlanApi* | [**workplan_plan_id_user_delete**](docs/WorkPlanApi.md#workplan_plan_id_user_delete) | **DELETE** /workplan/{PlanId}/user | 
*WorkPlanApi* | [**workplan_plan_id_user_get**](docs/WorkPlanApi.md#workplan_plan_id_user_get) | **GET** /workplan/{PlanId}/user | 
*WorkPlanApi* | [**workplan_plan_id_user_post**](docs/WorkPlanApi.md#workplan_plan_id_user_post) | **POST** /workplan/{PlanId}/user | 
*WorkPlanApi* | [**workplan_post**](docs/WorkPlanApi.md#workplan_post) | **POST** /workplan | 
*WorkPlanApi* | [**workplan_uploadaitemplate_post**](docs/WorkPlanApi.md#workplan_uploadaitemplate_post) | **POST** /workplan/uploadaitemplate | 
*WorkPlanApi* | [**workplan_uploadjson_post**](docs/WorkPlanApi.md#workplan_uploadjson_post) | **POST** /workplan/uploadjson | 
*WorkPlanApi* | [**workplan_user_levels_get**](docs/WorkPlanApi.md#workplan_user_levels_get) | **GET** /workplan/user/levels | 

## Documentation For Models

 - [AccessLevel](docs/AccessLevel.md)
 - [AccessType](docs/AccessType.md)
 - [AddResourcePost](docs/AddResourcePost.md)
 - [AllocationClass](docs/AllocationClass.md)
 - [AllocationPost](docs/AllocationPost.md)
 - [AllocationTypes](docs/AllocationTypes.md)
 - [AppButton](docs/AppButton.md)
 - [AppCostType](docs/AppCostType.md)
 - [AppDefinition](docs/AppDefinition.md)
 - [AppProperty](docs/AppProperty.md)
 - [Assembly](docs/Assembly.md)
 - [AssignmentRequest](docs/AssignmentRequest.md)
 - [AssignmentType](docs/AssignmentType.md)
 - [AsyncProcess](docs/AsyncProcess.md)
 - [AsyncProcessResult](docs/AsyncProcessResult.md)
 - [AsyncProcessState](docs/AsyncProcessState.md)
 - [AsyncProcessStatus](docs/AsyncProcessStatus.md)
 - [AuditFinancialPlans](docs/AuditFinancialPlans.md)
 - [AuditFinancialPlansQuery](docs/AuditFinancialPlansQuery.md)
 - [AuditPlans](docs/AuditPlans.md)
 - [AuditPlansQuery](docs/AuditPlansQuery.md)
 - [AuditResource](docs/AuditResource.md)
 - [AuditResourcePlans](docs/AuditResourcePlans.md)
 - [AuditResourcePlansQuery](docs/AuditResourcePlansQuery.md)
 - [AuditResourceQuery](docs/AuditResourceQuery.md)
 - [AuditSharedWith](docs/AuditSharedWith.md)
 - [AuditSharedWithQuery](docs/AuditSharedWithQuery.md)
 - [AuditTasks](docs/AuditTasks.md)
 - [AuditTasksQuery](docs/AuditTasksQuery.md)
 - [BoardResponse](docs/BoardResponse.md)
 - [Boolean](docs/Boolean.md)
 - [BubbleChartSettings](docs/BubbleChartSettings.md)
 - [ButtonLocation](docs/ButtonLocation.md)
 - [CalculationDefinition](docs/CalculationDefinition.md)
 - [Calendar](docs/Calendar.md)
 - [CalendarAlgorithmType](docs/CalendarAlgorithmType.md)
 - [CalendarWeekRule](docs/CalendarWeekRule.md)
 - [CallingConventions](docs/CallingConventions.md)
 - [CandidatesPost](docs/CandidatesPost.md)
 - [CharSet](docs/CharSet.md)
 - [ChartType](docs/ChartType.md)
 - [ColumnAggEnum](docs/ColumnAggEnum.md)
 - [ColumnCalculation](docs/ColumnCalculation.md)
 - [ColumnScope](docs/ColumnScope.md)
 - [ColumnTypeEnum](docs/ColumnTypeEnum.md)
 - [CommentPost](docs/CommentPost.md)
 - [CommentsResponse](docs/CommentsResponse.md)
 - [Comparator](docs/Comparator.md)
 - [CompareInfo](docs/CompareInfo.md)
 - [ConstructorInfo](docs/ConstructorInfo.md)
 - [ControlState](docs/ControlState.md)
 - [CoreSchedule](docs/CoreSchedule.md)
 - [CoreScheduleFunction](docs/CoreScheduleFunction.md)
 - [CoreScheduleLog](docs/CoreScheduleLog.md)
 - [CostPlanSettings](docs/CostPlanSettings.md)
 - [CostRevenueRequest](docs/CostRevenueRequest.md)
 - [CostRevenueResult](docs/CostRevenueResult.md)
 - [CostRevenueTask](docs/CostRevenueTask.md)
 - [CostRevenueTaskAssignment](docs/CostRevenueTaskAssignment.md)
 - [CultureInfo](docs/CultureInfo.md)
 - [CultureTypes](docs/CultureTypes.md)
 - [CustomAttributeData](docs/CustomAttributeData.md)
 - [CustomAttributeNamedArgument](docs/CustomAttributeNamedArgument.md)
 - [CustomAttributeTypedArgument](docs/CustomAttributeTypedArgument.md)
 - [DataColumn](docs/DataColumn.md)
 - [DataRow](docs/DataRow.md)
 - [DataRowState](docs/DataRowState.md)
 - [DataSet](docs/DataSet.md)
 - [DataSetDateTime](docs/DataSetDateTime.md)
 - [DataTable](docs/DataTable.md)
 - [DateSetType](docs/DateSetType.md)
 - [DateTimeFormatInfo](docs/DateTimeFormatInfo.md)
 - [DayOfWeek](docs/DayOfWeek.md)
 - [DaysClass](docs/DaysClass.md)
 - [DecimalNumber](docs/DecimalNumber.md)
 - [DeleteResourceResponse](docs/DeleteResourceResponse.md)
 - [DeleteResourceResponseResult](docs/DeleteResourceResponseResult.md)
 - [DependencyType](docs/DependencyType.md)
 - [DigitShapes](docs/DigitShapes.md)
 - [EmailReceiverType](docs/EmailReceiverType.md)
 - [Event](docs/Event.md)
 - [EventAction](docs/EventAction.md)
 - [EventAttributes](docs/EventAttributes.md)
 - [EventInfo](docs/EventInfo.md)
 - [EventList](docs/EventList.md)
 - [EventPost](docs/EventPost.md)
 - [EventTrigger](docs/EventTrigger.md)
 - [EventType](docs/EventType.md)
 - [FieldAttributes](docs/FieldAttributes.md)
 - [FieldFunction](docs/FieldFunction.md)
 - [FieldInfo](docs/FieldInfo.md)
 - [FieldSnapshot](docs/FieldSnapshot.md)
 - [FindPlansRequest](docs/FindPlansRequest.md)
 - [FindPlansReturn](docs/FindPlansReturn.md)
 - [FragmentFieldInfo](docs/FragmentFieldInfo.md)
 - [FragmentInfo](docs/FragmentInfo.md)
 - [FragmentLocation](docs/FragmentLocation.md)
 - [FragmentResourceInfo](docs/FragmentResourceInfo.md)
 - [GanttResponseRowSet](docs/GanttResponseRowSet.md)
 - [GanttSyncResponse](docs/GanttSyncResponse.md)
 - [GenericParameterAttributes](docs/GenericParameterAttributes.md)
 - [GetResourcePostPlan](docs/GetResourcePostPlan.md)
 - [GlobalPermissions](docs/GlobalPermissions.md)
 - [GlobalSearchPlan](docs/GlobalSearchPlan.md)
 - [GlobalSearchRequest](docs/GlobalSearchRequest.md)
 - [GloballyUniqueIdentifier](docs/GloballyUniqueIdentifier.md)
 - [HttpContent](docs/HttpContent.md)
 - [HttpMethod](docs/HttpMethod.md)
 - [HttpRequestMessage](docs/HttpRequestMessage.md)
 - [HttpResponseMessage](docs/HttpResponseMessage.md)
 - [HttpStatusCode](docs/HttpStatusCode.md)
 - [IComponent](docs/IComponent.md)
 - [IContainer](docs/IContainer.md)
 - [ISite](docs/ISite.md)
 - [ImportCostCustom](docs/ImportCostCustom.md)
 - [ImportCostFields](docs/ImportCostFields.md)
 - [ImportCostObject](docs/ImportCostObject.md)
 - [ImportDeleteCosts](docs/ImportDeleteCosts.md)
 - [ImportDeleteResScope](docs/ImportDeleteResScope.md)
 - [ImportDeleteResourceData](docs/ImportDeleteResourceData.md)
 - [ImportDeleteScope](docs/ImportDeleteScope.md)
 - [ImportPlanCostObject](docs/ImportPlanCostObject.md)
 - [ImportResPlanObject](docs/ImportResPlanObject.md)
 - [ImportResPlanResourceObject](docs/ImportResPlanResourceObject.md)
 - [ImportResult](docs/ImportResult.md)
 - [ImportResultStatus](docs/ImportResultStatus.md)
 - [InsightComment](docs/InsightComment.md)
 - [InsightCommentComment](docs/InsightCommentComment.md)
 - [InsightCommentType](docs/InsightCommentType.md)
 - [InsightLevel](docs/InsightLevel.md)
 - [InsightObjectType](docs/InsightObjectType.md)
 - [InsightResult](docs/InsightResult.md)
 - [InsightValue](docs/InsightValue.md)
 - [Integer](docs/Integer.md)
 - [IntegratedSystem](docs/IntegratedSystem.md)
 - [Integration](docs/Integration.md)
 - [IntegrationSystemType](docs/IntegrationSystemType.md)
 - [ItemSyncRequest](docs/ItemSyncRequest.md)
 - [Iteration](docs/Iteration.md)
 - [LayoutKind](docs/LayoutKind.md)
 - [LookupSplit](docs/LookupSplit.md)
 - [MPPTemplate](docs/MPPTemplate.md)
 - [MappingType](docs/MappingType.md)
 - [MemberInfo](docs/MemberInfo.md)
 - [MemberTypes](docs/MemberTypes.md)
 - [MethodAttributes](docs/MethodAttributes.md)
 - [MethodBase](docs/MethodBase.md)
 - [MethodImplAttributes](docs/MethodImplAttributes.md)
 - [MethodInfo](docs/MethodInfo.md)
 - [ModelDate](docs/ModelDate.md)
 - [ModelScenario](docs/ModelScenario.md)
 - [ModelScenarioPlan](docs/ModelScenarioPlan.md)
 - [ModelView](docs/ModelView.md)
 - [ModelerFolder](docs/ModelerFolder.md)
 - [ModelerModel](docs/ModelerModel.md)
 - [ModelerResPlanCapacityPost](docs/ModelerResPlanCapacityPost.md)
 - [Module](docs/Module.md)
 - [ModuleHandle](docs/ModuleHandle.md)
 - [MyTeamInfo](docs/MyTeamInfo.md)
 - [NewIteration](docs/NewIteration.md)
 - [Notification](docs/Notification.md)
 - [NotificationScope](docs/NotificationScope.md)
 - [NumberFormatInfo](docs/NumberFormatInfo.md)
 - [Object](docs/Object.md)
 - [OnePlanLevel](docs/OnePlanLevel.md)
 - [OnePlanSecurityGroup](docs/OnePlanSecurityGroup.md)
 - [OnePlanTeam](docs/OnePlanTeam.md)
 - [OnePlanTeamRequest](docs/OnePlanTeamRequest.md)
 - [OrderedPlans](docs/OrderedPlans.md)
 - [OrderedPost](docs/OrderedPost.md)
 - [ParameterAttributes](docs/ParameterAttributes.md)
 - [ParameterInfo](docs/ParameterInfo.md)
 - [PermissionLevel](docs/PermissionLevel.md)
 - [Permissions](docs/Permissions.md)
 - [PlanDateSet](docs/PlanDateSet.md)
 - [PlanDependency](docs/PlanDependency.md)
 - [PlanDependencyStyle](docs/PlanDependencyStyle.md)
 - [PlanIntegrationRequest](docs/PlanIntegrationRequest.md)
 - [PlanLockInfo](docs/PlanLockInfo.md)
 - [PlanNotification](docs/PlanNotification.md)
 - [PlanNotificationReceiver](docs/PlanNotificationReceiver.md)
 - [PlanNotificationTrigger](docs/PlanNotificationTrigger.md)
 - [PlanPermissions](docs/PlanPermissions.md)
 - [PlanRateMultiplier](docs/PlanRateMultiplier.md)
 - [PlanRateTable](docs/PlanRateTable.md)
 - [PlannerColumn](docs/PlannerColumn.md)
 - [PlannerColumnPost](docs/PlannerColumnPost.md)
 - [PlannerView](docs/PlannerView.md)
 - [PlannerViewSort](docs/PlannerViewSort.md)
 - [PostFragmentInfo](docs/PostFragmentInfo.md)
 - [ProcessState](docs/ProcessState.md)
 - [PropertyAttributes](docs/PropertyAttributes.md)
 - [PropertyInfo](docs/PropertyInfo.md)
 - [PropertyType](docs/PropertyType.md)
 - [RecentPlan](docs/RecentPlan.md)
 - [ReplaceResourcePost](docs/ReplaceResourcePost.md)
 - [ResPlanMode](docs/ResPlanMode.md)
 - [ResUpdate](docs/ResUpdate.md)
 - [Resource](docs/Resource.md)
 - [ResourceCapacity](docs/ResourceCapacity.md)
 - [ResourceFind](docs/ResourceFind.md)
 - [ResourceNotifications](docs/ResourceNotifications.md)
 - [ResourcePlanCopy](docs/ResourcePlanCopy.md)
 - [ResourcePlanCopyMode](docs/ResourcePlanCopyMode.md)
 - [ResourcePlanSettings](docs/ResourcePlanSettings.md)
 - [ResourceRate](docs/ResourceRate.md)
 - [ResourceReq](docs/ResourceReq.md)
 - [ResourceRequest](docs/ResourceRequest.md)
 - [RuntimeFieldHandle](docs/RuntimeFieldHandle.md)
 - [RuntimeMethodHandle](docs/RuntimeMethodHandle.md)
 - [RuntimeTypeHandle](docs/RuntimeTypeHandle.md)
 - [RunwayPost](docs/RunwayPost.md)
 - [RunwayPostCol](docs/RunwayPostCol.md)
 - [RunwayResponseDep](docs/RunwayResponseDep.md)
 - [RunwayResponsePlan](docs/RunwayResponsePlan.md)
 - [SaveLineObject](docs/SaveLineObject.md)
 - [ScenarioCostTarget](docs/ScenarioCostTarget.md)
 - [Schedule](docs/Schedule.md)
 - [ScheduleStatus](docs/ScheduleStatus.md)
 - [ScheduleTypeEnum](docs/ScheduleTypeEnum.md)
 - [SchemaSerializationMode](docs/SchemaSerializationMode.md)
 - [SecurityGroupDefaultPropertyRequest](docs/SecurityGroupDefaultPropertyRequest.md)
 - [SecurityRuleSet](docs/SecurityRuleSet.md)
 - [SerializationFormat](docs/SerializationFormat.md)
 - [SortByDirection](docs/SortByDirection.md)
 - [SortVersion](docs/SortVersion.md)
 - [StatusReport](docs/StatusReport.md)
 - [StatusReportInfo](docs/StatusReportInfo.md)
 - [StatusReportState](docs/StatusReportState.md)
 - [StatusReportTable](docs/StatusReportTable.md)
 - [StatusReportTableRow](docs/StatusReportTableRow.md)
 - [StatusUpdateClass](docs/StatusUpdateClass.md)
 - [StatusUpdateState](docs/StatusUpdateState.md)
 - [Stopwatch](docs/Stopwatch.md)
 - [String](docs/String.md)
 - [StructLayoutAttribute](docs/StructLayoutAttribute.md)
 - [SyncRequest](docs/SyncRequest.md)
 - [SystemNotification](docs/SystemNotification.md)
 - [SystemNotificationAudience](docs/SystemNotificationAudience.md)
 - [TableFilter](docs/TableFilter.md)
 - [TaskAssignment](docs/TaskAssignment.md)
 - [TaskComment](docs/TaskComment.md)
 - [TaskIntegrationInfo](docs/TaskIntegrationInfo.md)
 - [TaskNotification](docs/TaskNotification.md)
 - [TaskType](docs/TaskType.md)
 - [TasksRequest](docs/TasksRequest.md)
 - [TeamAccess](docs/TeamAccess.md)
 - [TeamAllocationRequest](docs/TeamAllocationRequest.md)
 - [TeamAllocationsRequest](docs/TeamAllocationsRequest.md)
 - [TeamMember](docs/TeamMember.md)
 - [TeamMemberRequest](docs/TeamMemberRequest.md)
 - [TeamRequest](docs/TeamRequest.md)
 - [TextInfo](docs/TextInfo.md)
 - [TimeInterval](docs/TimeInterval.md)
 - [TimeOff](docs/TimeOff.md)
 - [TimeOffStatusEnum](docs/TimeOffStatusEnum.md)
 - [TimesheetInfo](docs/TimesheetInfo.md)
 - [TimesheetRow](docs/TimesheetRow.md)
 - [TimesheetRowDate](docs/TimesheetRowDate.md)
 - [TriggerType](docs/TriggerType.md)
 - [Type](docs/Type.md)
 - [TypeAttributes](docs/TypeAttributes.md)
 - [TypeInfo](docs/TypeInfo.md)
 - [URI](docs/URI.md)
 - [UnsignedInteger](docs/UnsignedInteger.md)
 - [User](docs/User.md)
 - [UserAccess](docs/UserAccess.md)
 - [UserRequest](docs/UserRequest.md)
 - [Version](docs/Version.md)
 - [ViewGroupingEvent](docs/ViewGroupingEvent.md)
 - [WhenObject](docs/WhenObject.md)
 - [WhenType](docs/WhenType.md)
 - [WorkListType](docs/WorkListType.md)
 - [WorkLogInfo](docs/WorkLogInfo.md)
 - [WorkLogPost](docs/WorkLogPost.md)
 - [WorkLogResponse](docs/WorkLogResponse.md)
 - [WorkPlan](docs/WorkPlan.md)
 - [WorkPlanConfig](docs/WorkPlanConfig.md)
 - [WorkPlanDep](docs/WorkPlanDep.md)
 - [WorkPlanReq](docs/WorkPlanReq.md)
 - [WorkPlanRequest](docs/WorkPlanRequest.md)
 - [WorkPlanStageStep](docs/WorkPlanStageStep.md)
 - [WorkPlanStageStepState](docs/WorkPlanStageStepState.md)
 - [WorkPlanTask](docs/WorkPlanTask.md)
 - [WorkPlanTemplate](docs/WorkPlanTemplate.md)
 - [WorkPlanVersion](docs/WorkPlanVersion.md)
 - [WorkType](docs/WorkType.md)
 - [Zoom](docs/Zoom.md)

## Documentation For Authorization


## oneplan_api_auth

- **Type**: HTTP basic authentication


## Author


